#!/bin/bash

rpmv=$(rpm -q --qf '%{version}' php-cli | awk -F '.' '{print $1$2}')

[ $rpmv -eq 53 ] && \
	echo "Error: Installed php package is already 5.3" && \
	exit 0

target=$(rpm -qa --qf '%{name}\n' | grep php | grep -v 'pear')
prpmv=$(echo $rpmv | sed 's/^5/5./g')

echo -n "Warning: Do you want to remove PHP ${prpmv} and revoke PHP 5.3? [Y/N] "
while [ 1 ]
do
	read ans

	[ "$ans" = "N" -o "$ans" = "n" ] && exit 0
	[ "$ans" = "Y" -o "$ans" = "y" ] && break
	ans=""
done

echo
echo " ** Remove PHP ${prpmv}"
echo
echo
yum -y remove $target
yum clean all >& /dev/null

echo
echo " ** Revoke PHP 5.3"
echo
echo
target=$(echo $target | sed "s/php${rpmv}-repos//g")
if [ -f /etc/yum.def.conf ]; then
	yum --config=/etc/yum.def.conf -y install $target
else
	yum -y install $target php-pear
fi

[ $? -eq 0 ] && {
	printf "\nPHP is revoked 5.3.\n"
	printf "If you want to update php ${prpmv}, install php${rpmv}-repos pakcage,\n"
	printf "and yum install or update\n"
}

exit 0;
